#!/bin/sh
################################################################################
#                                                                              #
# Polish Koders Team 2011                                                      #
#                                                                              #
# contact: http://pkteam.pl/                                                   #
#                                                                              #
################################################################################

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

  info1="_(crossEPG activ)"
  info2="_(standard EPG activ)"
#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

crossEPG()
{
 echo cross=on >/var/config/crossEPG.conf
 sync
 echo "$info1"
} 

standardEPG()
{
 echo cross=off >/var/config/crossEPG.conf
 sync
 echo "$info2"
}

status()
{
 . /var/config/crossEPG.conf

    if [ $cross == off ]; then
        echo "$info2"
    elif [ $cross == on ]; then
        echo "$info1"
    fi
}

#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

case "$1" in
 'on')
    crossEPG
    ;;
 'off')
    standardEPG
    ;;
 'status')
    status
    ;;
 *)
    echo -e "\nUse: crossEPG.sh on|off|status"
    ;;
esac

echo ""
exit 0
