#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2010                                                       #
#                                                                              #
# contact: http://pkteam.pl/                                                   #
#                                                                              #
################################################################################

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

  info1="_(Cam Routing activated)"
  info2="_(Cam Routing deactivated)"
  info3="_(Restart box to save changes!)"
#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

pti_on()
{
 echo cam_routing=on >/var/config/pti.conf
 sync
 echo "$info1"
 echo "\n$info3" 
} 

pti_off()
{
 echo cam_routing=off >/var/config/pti.conf
 sync
 echo "$info2"
 echo "\n$info3" 
}

#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

case "$1" in
 'on')
    pti_on
    ;;
 'off')
    pti_off
    ;;
 *)
    echo -e "\nUse: pti.sh on|off"
    ;;
esac

echo ""
exit 0
