#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkteam.pl                                                    #
#                                                                              #
################################################################################
#
# version $Revision: 276 $ $Date: 2010-11-28 21:06:25 +0100 (nie) $
#

. /etc/functions.sh

TVOUT_ENABLE_FILE="/var/config/.autotvout"
CONFIG_AV="config.av."

#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

if [ ! -e "${TVOUT_ENABLE_FILE}" ]; then
  exit 0
fi

case "$1" in
 'HDMI')
    echo "Set Enigma2 tvoutput to $1 with mode $2"
    config_set "${CONFIG_AV}videoport" $1
    config_set "${CONFIG_AV}videomode.HDMI" $2
    ;;
 'Scart')
    echo "Set Enigma2 tvoutput to $1"
    config_set "${CONFIG_AV}videoport" $1
    ;;
 *)
    echo "Nieznany port"
    ;;
esac

exit 0